Bug 811991 - Can't add an entitled RHN repository
Can't add an entitled RHN repository
Status: CLOSED ERRATA
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
2.0.3
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: James Slagle
wes hayutin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-12 09:24 EDT by mkovacik
Modified: 2012-05-01 14:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
C: The return code from cert_utils.generate was not being handled correctly. C: Repositories could not be added, even though the appropriate entitlement certificates had been uploaded. F: When an identity certificate is generated, the output is now being handled correctly. R: Repositories can be added as expected. Final: * The return code from cert_utils.generate was not being handled correctly, so repositories could not be added, even though the appropriate entitlement certificates had been uploaded. When an identity certificate is generated, the output is now being handled correctly, and repositories can be added as expected. (BZ#811991)
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-01 14:37:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhui.log (3.97 KB, application/octet-stream)
2012-04-12 09:29 EDT, mkovacik
no flags Details
Verifying log (26.15 KB, application/octet-stream)
2012-04-17 06:30 EDT, mkovacik
no flags Details

  None (edit)
Description mkovacik 2012-04-12 09:24:06 EDT
Description of problem:
As in the summary; stack error details in the Additional info paragraph

Version-Release number of selected component (if applicable):
RHEL-6.2-RHUI-2.0.3-20120409.0-Server-x86_64-DVD1.iso

How reproducible:
Always (2 of 2 fresh deployments suffer)

Steps to Reproduce:
1. Deploy rhui
2. Upload entitlement certificate
3. add a repository
  
Actual results:
Unable to add RHN repository

Expected results:
Having uploaded appropriate entitlement, adding a RHN repository works

Additional info:
### SCREEN-LOG and ERROR DETAILS
[root@ip-10-53-26-153 ~]# rhui-manager
An entitlement signing CA certificate is required to use RHUI Tools
but was not found.

Full path to the new signing CA certificate:
/root/gen_certs/ca3.crt

Full path to the new signing CA certificate private key:
/root/gen_certs/ca3.key

Generating entitlement certificate serial number database file /etc/pki/rhui/entitlement-ca.srl
A RHUI identity certificate is required to use RHUI Tools but was not found.
A new identity certificate will be generated now using the CA certificate
found at /etc/pki/rhui/entitlement-ca.crt.

Enter the number of days the RHUI identity certificate will be valid.
If the identity certificate ever expires, it will need to be
regenerated using rhui-manager [Default: 3650]:
..............................+++
......+++
Previous authentication credentials could not be found. Logging into
the RHUI.

If this is the first time using the RHUI, it is recommended to change
the user's password in the User Management section of RHUI Tools.

RHUI Username: admin
RHUI Password:

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

   logout
       removes stored authentication credentials and exits

   <   move to the previous screen
   ^, home
       move to the home screen
   /, clear
       clears the screen
   ?, help
       display help
   q, quit, exit
       exit

                         Connected: ip-10-53-26-153.eu-west-1.compute.internal
------------------------------------------------------------------------------
rhui (home) => c

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Content Delivery Server (CDS) Management =-

   l   list all CDS instances registered to the RHUI
   a   register (add) a new CDS instance
   d   unregister (delete) a CDS instance from the RHUI

                         Connected: ip-10-53-26-153.eu-west-1.compute.internal
------------------------------------------------------------------------------
rhui (cds) => a

Prior to registering a CDS, the CDS must be configured and running.

Hostname of the CDS to register:
ip-10-54-23-30.eu-west-1.compute.internal

Display name for the CDS [ip-10-54-23-30.eu-west-1.compute.internal]:



The following CDS instance will be registered:
  Hostname: ip-10-54-23-30.eu-west-1.compute.internal
  Name:     ip-10-54-23-30.eu-west-1.compute.internal
Proceed? (y/n) y


Successfully registered ip-10-54-23-30.eu-west-1.compute.internal

------------------------------------------------------------------------------
rhui (cds) => a

Prior to registering a CDS, the CDS must be configured and running.

Hostname of the CDS to register:
ip-10-49-131-94.eu-west-1.compute.internal

Display name for the CDS [ip-10-49-131-94.eu-west-1.compute.internal]:



The following CDS instance will be registered:
  Hostname: ip-10-49-131-94.eu-west-1.compute.internal
  Name:     ip-10-49-131-94.eu-west-1.compute.internal
Proceed? (y/n) y


Successfully registered ip-10-49-131-94.eu-west-1.compute.internal

------------------------------------------------------------------------------
rhui (cds) => <

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

                         Connected: ip-10-53-26-153.eu-west-1.compute.internal
------------------------------------------------------------------------------
rhui (home) => n

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Entitlements Manager =-

   l   list Red Hat content certificate entitlements
   c   list custom repository entitlements
   u   upload a new or updated Red Hat content certificate

                         Connected: ip-10-53-26-153.eu-west-1.compute.internal
------------------------------------------------------------------------------
rhui (entitlements) => l

Red Hat Entitlements

  No Red Hat entitlements found.

------------------------------------------------------------------------------
rhui (entitlements) => u

Full path to the new content certificate:
^Z
[1]+  Stopped                 rhui-manager
[root@ip-10-53-26-153 ~]# ls /root/eu-west-1-rhui-01-entitlement-70111348270280.pem
/root/eu-west-1-rhui-01-entitlement-70111348270280.pem
[root@ip-10-53-26-153 ~]# fg
rhui-manager
/root/eu-west-1-rhui-01-entitlement-70111348270280.pem

The RHUI will be updated with the following certificate:
  /root/eu-west-1-rhui-01-entitlement-70111348270280.pem

Proceed? (y/n) y


Red Hat Entitlements

  Valid
    Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Debug RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Source RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server - Supplementary (Debug RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server - Supplementary (RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server - Supplementary (Source RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server - Supplementary Beta (Debug RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server - Supplementary Beta (RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server - Supplementary Beta (Source RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server from RHUI (RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server (Debug RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server (RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server (Source RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Optional (RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Optional (Source RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server Beta (Source RPMs) from RHUI
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Update Infrastructure 1.2 (Debug RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Update Infrastructure 1.2 (RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Update Infrastructure 1.2 (Source RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Update Infrastructure 2.0 (Debug RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Update Infrastructure 2.0 (RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem

    Red Hat Update Infrastructure 2.0 (Source RPMs)
    Expiration: 01-20-2013     Certificate: eu-west-1-rhui-01-entitlement-70111348270280.pem


------------------------------------------------------------------------------
rhui (entitlements) => <

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Home =-

   r   manage repositories
   c   manage content delivery servers (CDS)
   s   synchronization status and scheduling
   e   create entitlement certificates and client configuration RPMs
   n   manage Red Hat entitlement certificates
   u   manage users
   i   manage identity certificate

                         Connected: ip-10-53-26-153.eu-west-1.compute.internal
------------------------------------------------------------------------------
rhui (home) => r

------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Management =-

   l   list repositories currently managed by the RHUI
   i   display detailed information on a repository
   a   add a new Red Hat content repository
   c   create a new custom repository
   d   delete a repository from the RHUI
   u   upload content to a custom repository
   p   list packages in a repository

                         Connected: ip-10-53-26-153.eu-west-1.compute.internal
------------------------------------------------------------------------------
rhui (repo) => a

Loading latest entitled products from Red Hat...
... listings loaded
Determining undeployed products...
... product list calculated

Import Repositories:
  1  - All in Certificate
  2  - By Product
  3  - By Repository
Enter value (1-3) or 'b' to abort: 2

All repositories for selected products will be imported in this process.

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  -  1 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Debug RPMs) from RHUI
  -  2 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (RPMs) from RHUI
  -  3 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Source RPMs) from RHUI
  -  4 : Red Hat Enterprise Linux 5 Server - Supplementary (Debug RPMs) from RHUI
  -  5 : Red Hat Enterprise Linux 5 Server - Supplementary (RPMs) from RHUI
  -  6 : Red Hat Enterprise Linux 5 Server - Supplementary (Source RPMs) from RHUI
  -  7 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  8 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (RPMs) from RHUI
  -  9 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Source RPMs) from RHUI
  -  10: Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 5 Server from RHUI (RPMs)
  -  15: Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  16: Red Hat Enterprise Linux 6 Server (Debug RPMs) from RHUI
  -  17: Red Hat Enterprise Linux 6 Server (RPMs) from RHUI
  -  18: Red Hat Enterprise Linux 6 Server (Source RPMs) from RHUI
  -  19: Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs) from RHUI
  -  20: Red Hat Enterprise Linux 6 Server - Optional (RPMs) from RHUI
  -  21: Red Hat Enterprise Linux 6 Server - Optional (Source RPMs) from RHUI
  -  22: Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs) from RHUI
  -  23: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  24: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  -  25: Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) from RHUI
  -  26: Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI
  -  27: Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI
  -  28: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  29: Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs) from RHUI
  -  30: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs) from RHUI
  -  31: Red Hat Enterprise Linux 6 Server Beta (Source RPMs) from RHUI
  -  32: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  33: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  34: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  35: Red Hat Update Infrastructure 1.2 (RPMs)
  -  36: Red Hat Update Infrastructure 1.2 (Source RPMs)
  -  37: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  -  38: Red Hat Update Infrastructure 2.0 (RPMs)
  -  39: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-39) to toggle selection, 'c' to confirm selections, or '?' for more commands: 38

Select the products to be deployed to the RHUI (only undeployed products are displayed):
  -  1 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Debug RPMs) from RHUI
  -  2 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (RPMs) from RHUI
  -  3 : Red Hat Enterprise Linux 5 Server - Optional Productivity Applications (Source RPMs) from RHUI
  -  4 : Red Hat Enterprise Linux 5 Server - Supplementary (Debug RPMs) from RHUI
  -  5 : Red Hat Enterprise Linux 5 Server - Supplementary (RPMs) from RHUI
  -  6 : Red Hat Enterprise Linux 5 Server - Supplementary (Source RPMs) from RHUI
  -  7 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  8 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (RPMs) from RHUI
  -  9 : Red Hat Enterprise Linux 5 Server - Supplementary Beta (Source RPMs) from RHUI
  -  10: Red Hat Enterprise Linux 5 Server Beta from RHUI (Debug RPMs)
  -  11: Red Hat Enterprise Linux 5 Server Beta from RHUI (RPMs)
  -  12: Red Hat Enterprise Linux 5 Server Beta from RHUI (Source RPMs)
  -  13: Red Hat Enterprise Linux 5 Server from RHUI (Debug RPMs)
  -  14: Red Hat Enterprise Linux 5 Server from RHUI (RPMs)
  -  15: Red Hat Enterprise Linux 5 Server from RHUI (Source RPMs)
  -  16: Red Hat Enterprise Linux 6 Server (Debug RPMs) from RHUI
  -  17: Red Hat Enterprise Linux 6 Server (RPMs) from RHUI
  -  18: Red Hat Enterprise Linux 6 Server (Source RPMs) from RHUI
  -  19: Red Hat Enterprise Linux 6 Server - Optional (Debug RPMs) from RHUI
  -  20: Red Hat Enterprise Linux 6 Server - Optional (RPMs) from RHUI
  -  21: Red Hat Enterprise Linux 6 Server - Optional (Source RPMs) from RHUI
  -  22: Red Hat Enterprise Linux 6 Server - Optional Beta (Source RPMs) from RHUI
  -  23: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI (RPMs)
  -  24: Red Hat Enterprise Linux 6 Server - Optional Beta from RHUI(Debug RPMs)
  -  25: Red Hat Enterprise Linux 6 Server - Supplementary (Debug RPMs) from RHUI
  -  26: Red Hat Enterprise Linux 6 Server - Supplementary (RPMs) from RHUI
  -  27: Red Hat Enterprise Linux 6 Server - Supplementary (Source RPMs) from RHUI
  -  28: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Debug RPMs) from RHUI
  -  29: Red Hat Enterprise Linux 6 Server - Supplementary Beta (RPMs) from RHUI
  -  30: Red Hat Enterprise Linux 6 Server - Supplementary Beta (Source RPMs) from RHUI
  -  31: Red Hat Enterprise Linux 6 Server Beta (Source RPMs) from RHUI
  -  32: Red Hat Enterprise Linux 6 Server Beta from RHUI (Debug RPMs)
  -  33: Red Hat Enterprise Linux 6 Server Beta from RHUI (RPMs)
  -  34: Red Hat Update Infrastructure 1.2 (Debug RPMs)
  -  35: Red Hat Update Infrastructure 1.2 (RPMs)
  -  36: Red Hat Update Infrastructure 1.2 (Source RPMs)
  -  37: Red Hat Update Infrastructure 2.0 (Debug RPMs)
  x  38: Red Hat Update Infrastructure 2.0 (RPMs)
  -  39: Red Hat Update Infrastructure 2.0 (Source RPMs)
Enter value (1-39) to toggle selection, 'c' to confirm selections, or '?' for more commands: c


The following products will be deployed:
  Red Hat Update Infrastructure 2.0 (RPMs)
Proceed? (y/n) y


Importing Red Hat Update Infrastructure 2.0 (RPMs)...
  Importing product repository Red Hat Update Infrastructure 2.0 (RPMs) (6Server-i386)...

An unexpected error has occurred during the last operation.
More information can be found in /root/.rhui/rhui.log.


------------------------------------------------------------------------------
             -= Red Hat Update Infrastructure Management Tool =-


-= Repository Management =-

   l   list repositories currently managed by the RHUI
   i   display detailed information on a repository
   a   add a new Red Hat content repository
   c   create a new custom repository
   d   delete a repository from the RHUI
   u   upload content to a custom repository
   p   list packages in a repository

   logout
       removes stored authentication credentials and exits

   <   move to the previous screen
   ^, home
       move to the home screen
   /, clear
       clears the screen
   ?, help
       display help
   q, quit, exit
       exit

                         Connected: ip-10-53-26-153.eu-west-1.compute.internal
------------------------------------------------------------------------------
rhui (repo) => q
[root@ip-10-53-26-153 ~]# less /root/.rhui/rhui.log
[root@ip-10-53-26-153 ~]# tail -30 /root/.rhui/rhui.log
Unexpected OID encountered [1.3.6.1.4.1.2312.9.4.14]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.4.16]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.1.148.3]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.1.148.2]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.1.148.1]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.5.1]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.1.147.1]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.4.5]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.4.6]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.1.147.2]
Unexpected OID encountered [1.3.6.1.4.1.2312.9.1.147.3]
Unexpected error caught at the shell level
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/rhui/tools/shell.py", line 87, in safe_listen
    self.listen(clear=first_run)
  File "/usr/lib/python2.6/site-packages/rhui/tools/shell.py", line 113, in listen
    Shell.listen(self)
  File "/usr/lib/python2.6/site-packages/rhui/common/shell.py", line 191, in listen
    item.func(*args, **item.kwargs)
  File "/usr/lib/python2.6/site-packages/rhui/tools/screens/repo.py", line 153, in add
    create_performed = mode_handlers[mode](repos, products)
  File "/usr/lib/python2.6/site-packages/rhui/tools/screens/repo.py", line 240, in _add_by_product
    cert.cert_filename, self.config.get('rhui', 'repo_sync_frequency'))
  File "/usr/lib/python2.6/site-packages/rhui/tools/pulp_api.py", line 316, in create_redhat_repo
    consumer_bundle = self._consumer_bundle()
  File "/usr/lib/python2.6/site-packages/rhui/tools/pulp_api.py", line 516, in _consumer_bundle
    identity_cert = _load_file(self.config.get('security', 'identity_cert'))
  File "/usr/lib/python2.6/site-packages/rhui/tools/pulp_api.py", line 826, in _load_file
    f = open(filename, 'r')
IOError: [Errno 2] No such file or directory: '/etc/pki/rhui/identity.crt'
[root@ip-10-53-26-153 ~]#
Comment 1 mkovacik 2012-04-12 09:29:51 EDT
Created attachment 577071 [details]
rhui.log
Comment 3 mkovacik 2012-04-12 10:30:08 EDT
Moreover, each time the rhui-manager is executed, it tries to generate the identity certificate again (/etc/pki/rhui/identity); examining the rhui.log attachment, appropriate temporary files are getting generated but it seems these are newer put in place. Also, the module identity_cert doesn't seem to clean the certificate temporary directory (maybe the cleaning code is never reached).
Comment 4 James Slagle 2012-04-13 15:07:52 EDT
wasn't using return code from cert_utils.generate properly.  fixed in cloude master:
750787848f6a4e00238596218afe887a6ef21e98
Comment 5 mkovacik 2012-04-17 06:29:36 EDT
Verified in RHEL-6.2-RHUI-2.0.3-20120416.0-Server-x86_64-DVD1.iso...
Comment 6 mkovacik 2012-04-17 06:30:32 EDT
Created attachment 577985 [details]
Verifying log
Comment 7 Lana Brindley 2012-04-19 21:58:26 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
C: The return code from cert_utils.generate was not being handled correctly.
C: Repositories could not be added, even though the appropriate entitlement certificates had been uploaded.
F: When an identity certificate is generated, the output is now being handled correctly.
R: Repositories can be added as expected.
Comment 8 Lana Brindley 2012-04-20 00:32:58 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1,7 @@
 C: The return code from cert_utils.generate was not being handled correctly.
 C: Repositories could not be added, even though the appropriate entitlement certificates had been uploaded.
 F: When an identity certificate is generated, the output is now being handled correctly.
-R: Repositories can be added as expected.+R: Repositories can be added as expected.
+
+Final:
+* The return code from cert_utils.generate was not being handled correctly, so repositories could not be added, even though the appropriate entitlement certificates had been uploaded. When an identity certificate is generated, the output is now being handled correctly, and repositories can be added as expected. (BZ#811991)
Comment 9 errata-xmlrpc 2012-05-01 14:37:34 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0539.html

Note You need to log in before you can comment on or make changes to this bug.